package com.steering.pss.plnsaleord.ordAmCal.model;

import java.util.List;

/**
 * 轧管工序计划量计算参数
 * @author xiaohai
 */
public class InZgOrdCalEntity {
    /**
     * 计划支数
     */
    private int planNum = 0;
    /**
     * 排产吨
     */
    private double planWeight = 0;

    /**
     * 排产吨
     */
    public double getPlanWeight() {
        return planWeight;
    }

    /**
     * 排产吨
     */
    public void setPlanWeight(double planWeight) {
        this.planWeight = planWeight;
    }
    /**
     * 排产最小吨
     */
    private double weigthSMin = 0.0;
    /**
     * 排产最小吨
     */
    public double getWeigthSMin() {
        return weigthSMin;
    }
    /**
     * 排产最小吨
     */
    public void setWeigthSMin(double weigthSMin) {
        this.weigthSMin = weigthSMin;
    }
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同号
     */
    public String getOrderNo() {
        return orderNo;
    }
    /**
     * 合同号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
    /**
     * 排产月份
     */
    private String rollMonth = "";
    /**
     * 排产月份
     */
    public String getRollMonth() {
        return rollMonth;
    }
    /**
     * 排产月份
     */
    public void setRollMonth(String rollMonth) {
        this.rollMonth = rollMonth;
    }
    /**
     * 加投支数
     */
    private int addNum = 0;
    /**
     * 加投重量
     */
    private double addWeight = 0;

    /**
     * 加投重量
     */
    public double getAddWeight() {
        return addWeight;
    }

    /**
     * 加投重量
     */
    public void setAddWeight(double addWeight) {
        this.addWeight = addWeight;
    }

    /**
     * 轧管规格外径（mm）
     */
    private double diameter = 0;
    /**
     * 轧管规格壁厚（mm）
     */
    private double wallthick = 0;
    /**
     * 轧管内控壁厚公差下限（mm）
     */
    private double wallLower = 0;
    /**
     * 轧管内控壁厚公差上限（mm）
     */
    private double wallUpper = 0;
    /**
     * 轧管内控外径公差下限（mm）
     */
    private double aimLower = 0;
    /**
     * 轧管内控外径公差上限（mm）
     */
    private double aimUpper = 0;

    /**
     * 轧管内控外径公差下限（mm）
     */
    public double getAimLower() {
        return aimLower;
    }

    /**
     * 轧管内控外径公差下限（mm）
     */
    public void setAimLower(double aimLower) {
        this.aimLower = aimLower;
    }

    /**
     * 轧管内控外径公差上限（mm）
     */
    public double getAimUpper() {
        return aimUpper;
    }

    /**
     * 轧管内控外径公差上限（mm）
     */
    public void setAimUpper(double aimUpper) {
        this.aimUpper = aimUpper;
    }

    /**
     * 是否短尺随炉
     */
    private Boolean shrtstove = false;
    /**
     * 单倍尺长（m）
     */
    private double sigllen = 0;
    /**
     * 短尺最短(m)
     */
    private double shortest = 0;
    /**
     * 烧损（%）
     */
    private double burning = 0;
    /**
     * 坯料断面（mm）
     */
    private List<Double> diame = null;
    /**
     * 管坯断面（mm）
     */
    private double dimeterGp = 0;
    /**
     * 成品使用公差
     */
    private double endlenSpecstd = 0;

    /**
     * 成品使用公差
     */
    public double getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品使用公差
     */
    public void setEndlenSpecstd(double endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }

    /**
     * 管坯断面（mm）
     */
    public double getDimeterGp() {
        return dimeterGp;
    }

    /**
     * 管坯断面（mm）
     */
    public void setDimeterGp(double dimeterGp) {
        this.dimeterGp = dimeterGp;
    }

    /**
     * 成品最大长度(m)
     */
    private double lengmax = 0;
    /**
     * 成品最小长度(m)
     */
    private double lengmin = 0;
    /**
     * 轧管转移最大长度(m)
     */
    private double lengthmax = 0;
    /**
     * 轧管转移最小长度(m)
     */
    private double lengthmin = 0;
    /**
     * 轧管工序切头切尾和（mm）
     */
    private double cutHeadEnd = 0;
    /**
     * 环形炉最长（mm）
     */
    private double lengthMaxRing = 0;
    /**
     * 冷床长度（m）
     */
    private double lengthColdbed = 0;
    /**
     * 最大分切数
     */
    private double cutMax = 0;

    /**
     * 最大分切数
     */
    public double getCutMax() {
        return cutMax;
    }

    /**
     * 最大分切数
     */
    public void setCutMax(double cutMax) {
        this.cutMax = cutMax;
    }

    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线名称
     */
    private String plineName = "";
    /**
     * 计重方式（理重/实重）
     */
    private String weighType = "";

    /**
     * 计重方式（理重/实重）
     */
    public String getWeighType() {
        return weighType;
    }

    /**
     * 计重方式（理重/实重）
     */
    public void setWeighType(String weighType) {
        this.weighType = weighType;
    }

    /**
     * 产线代码
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线名称
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线名称
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 平均长度大于
     */
    private Double avgLenMin = 0.0;
    /**
     * 脱管机长度下限值--轧管工序
     */
    private Double lengthMinTube = 0.0;
    /**
     * 脱管机长度上限值--轧管工序
     */
    private Double lengthMaxTube = 0.0;
    /**
     * 机组壁厚公差带能力%
     */
    private Double toleranceZone = 0.0;
    /**
     * 芯棒直径(mm)
     */
    private String diameterMandrel = "";
    /**
     * 孔型代码(4007)
     */
    private String passCode = "";

    /**
     * 孔型代码(4007)
     */
    public String getPassCode() {
        return passCode;
    }

    /**
     * 孔型代码(4007)
     */
    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }

    /**
     * 孔型
     */
    private String passMame = "";
    /**
     * 管端系数
     */
    private double tubeEndRatio = 0;

    /**
     * 管端系数
     */
    public double getTubeEndRatio() {
        return tubeEndRatio;
    }

    /**
     * 管端系数
     */
    public void setTubeEndRatio(double tubeEndRatio) {
        this.tubeEndRatio = tubeEndRatio;
    }

    /**
     * 排产流水号
     */
    private String plnDivideId = "";

    /**
     * 排产流水号
     */
    public String getPlnDivideId() {
        return plnDivideId;
    }

    /**
     * 排产流水号
     */
    public void setPlnDivideId(String plnDivideId) {
        this.plnDivideId = plnDivideId;
    }

    /**
     * 测量单位
     */
    private String orderUnit = "";

    /**
     * 测量单位
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 测量单位
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 芯棒直径(mm)
     */
    public String getDiameterMandrel() {
        return diameterMandrel;
    }

    /**
     * 芯棒直径(mm)
     */
    public void setDiameterMandrel(String diameterMandrel) {
        this.diameterMandrel = diameterMandrel;
    }

    /**
     * 孔型
     */
    public String getPassMame() {
        return passMame;
    }

    /**
     * 孔型
     */
    public void setPassMame(String passMame) {
        this.passMame = passMame;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    public Double getLengthMinTube() {
        return lengthMinTube;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    public void setLengthMinTube(Double lengthMinTube) {
        this.lengthMinTube = lengthMinTube;
    }

    /**
     * 脱管机长度上限值--轧管工序
     */
    public Double getLengthMaxTube() {
        return lengthMaxTube;
    }

    /**
     * 脱管机长度上限值--轧管工序
     */
    public void setLengthMaxTube(Double lengthMaxTube) {
        this.lengthMaxTube = lengthMaxTube;
    }

    /**
     * 机组壁厚公差带能力%
     */
    public Double getToleranceZone() {
        return toleranceZone;
    }

    /**
     * 机组壁厚公差带能力%
     */
    public void setToleranceZone(Double toleranceZone) {
        this.toleranceZone = toleranceZone;
    }

    /**
     * 交货行PK
     */
    private String ordLnDlyPk = "";

    /**
     * 交货行PK
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行PK
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 平均长度大于
     */
    public Double getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     */
    public void setAvgLenMin(Double avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 计划支数
     * @return the planNum
     */
    public int getPlanNum() {
        return planNum;
    }

    /**
     * 计划支数
     * @param planNum the planNum to set
     */
    public void setPlanNum(int planNum) {
        this.planNum = planNum;
    }

    /**
     * 加投支数
     * @return the addNum
     */
    public int getAddNum() {
        return addNum;
    }

    /**
     * 加投支数
     * @param addNum the addNum to set
     */
    public void setAddNum(int addNum) {
        this.addNum = addNum;
    }

    /**
     * 轧管规格外径（mm）
     * @return the diameter
     */
    public double getDiameter() {
        return diameter;
    }

    /**
     * 轧管名义外径（mm）
     * @param diameter the diameter to set
     */
    public void setDiameter(double diameter) {
        this.diameter = diameter;
    }

    /**
     * 轧管名义壁厚（mm）
     * @return the wallthick
     */
    public double getWallthick() {
        return wallthick;
    }

    /**
     * 轧管规格壁厚（mm）
     * @param wallthick the wallthick to set
     */
    public void setWallthick(double wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 轧管内控壁厚公差下限（mm）
     * @return the wallLower
     */
    public double getWallLower() {
        return wallLower;
    }

    /**
     * 轧管内控壁厚公差下限（mm）
     * @param wallLower the wallLower to set
     */
    public void setWallLower(double wallLower) {
        this.wallLower = wallLower;
    }

    /**
     * 轧管内控壁厚公差上限（mm）
     * @return the wallUpper
     */
    public double getWallUpper() {
        return wallUpper;
    }

    /**
     * 轧管内控壁厚公差上限（mm）
     * @param wallUpper the wallUpper to set
     */
    public void setWallUpper(double wallUpper) {
        this.wallUpper = wallUpper;
    }

    /**
     * 是否短尺随炉
     * @return the shrtstove
     */
    public Boolean getShrtstove() {
        return shrtstove;
    }

    /**
     * 是否短尺随炉
     * @param shrtstove the shrtstove to set
     */
    public void setShrtstove(Boolean shrtstove) {
        this.shrtstove = shrtstove;
    }

    /**
     * 单倍尺长（m）
     * @return the sigllen
     */
    public double getSigllen() {
        return sigllen;
    }

    /**
     * 单倍尺长（m）
     * @param sigllen the sigllen to set
     */
    public void setSigllen(double sigllen) {
        this.sigllen = sigllen;
    }

    /**
     * 短尺最短(m)
     * @return the shortest
     */
    public double getShortest() {
        return shortest;
    }

    /**
     * 短尺最短(m)
     * @param shortest the shortest to set
     */
    public void setShortest(double shortest) {
        this.shortest = shortest;
    }

    /**
     * 烧损（%）
     * @return the burning
     */
    public double getBurning() {
        return burning;
    }

    /**
     * 烧损（%）
     * @param burning the burning to set
     */
    public void setBurning(double burning) {
        this.burning = burning;
    }

    /**
     * 坯料断面（mm）
     * @return the diame
     */
    public List<Double> getDiame() {
        return diame;
    }

    /**
     * 坯料断面（mm）
     * @param diame the diame to set
     */
    public void setDiame(List<Double> diame) {
        this.diame = diame;
    }

    /**
     * 轧管转移最大长度(m)
     * @return the lengthmax
     */
    public double getLengthmax() {
        return lengthmax;
    }

    /**
     * 轧管转移最大长度(m)
     * @param lengthmax the lengthmax to set
     */
    public void setLengthmax(double lengthmax) {
        this.lengthmax = lengthmax;
    }

    /**
     * 轧管转移最小长度(m)
     * @return the lengthmin
     */
    public double getLengthmin() {
        return lengthmin;
    }

    /**
     * 轧管转移最小长度(m)
     * @param lengthmin the lengthmin to set
     */
    public void setLengthmin(double lengthmin) {
        this.lengthmin = lengthmin;
    }

    /**
     * 轧管工序切头切尾和（mm）
     * @return the cutHeadEnd
     */
    public double getCutHeadEnd() {
        return cutHeadEnd;
    }

    /**
     * 轧管工序切头切尾和（mm）
     * @param cutHeadEnd the cutHeadEnd to set
     */
    public void setCutHeadEnd(double cutHeadEnd) {
        this.cutHeadEnd = cutHeadEnd;
    }

    /**
     * 环形炉最长（mm）
     * @return the lengthMaxRing
     */
    public double getLengthMaxRing() {
        return lengthMaxRing;
    }

    /**
     * 环形炉最长（mm）
     * @param lengthMaxRing the lengthMaxRing to set
     */
    public void setLengthMaxRing(double lengthMaxRing) {
        this.lengthMaxRing = lengthMaxRing;
    }

    /**
     * 冷床长度（m）
     * @return the lengthColdbed
     */
    public double getLengthColdbed() {
        return lengthColdbed;
    }

    /**
     * 冷床长度（m）
     * @param lengthColdbed the lengthColdbed to set
     */
    public void setLengthColdbed(double lengthColdbed) {
        this.lengthColdbed = lengthColdbed;
    }

    /**
     * 成品最大长度(m)
     * @return the lengmax
     */
    public double getLengmax() {
        return lengmax;
    }

    /**
     * 成品最大长度(m)
     * @param lengmax the lengmax to set
     */
    public void setLengmax(double lengmax) {
        this.lengmax = lengmax;
    }

    /**
     * 成品最小长度(m)
     * @return the lengmin
     */
    public double getLengmin() {
        return lengmin;
    }

    /**
     * 成品最小长度(m)
     * @param lengmin the lengmin to set
     */
    public void setLengmin(double lengmin) {
        this.lengmin = lengmin;
    }

}